> # NAME

> TexGenRMode - 3D API tex gen R mode

> # USAGE

> TexGenRMode[i] = int(mode)

> # VALID ENUMERANTS

> mode: ObjectLinear, EyeLinear, SphereMap, ReflectionMap, NormalMap

> # DESCRIPTION

> Specify the R texture coordinate generation mode. See the GL_TEXTURE_GEN_MODE description on the OpenGL glTexGen manual page for details.

> The standard reset callback sets the TexGenRMode[i] state to int(EyeLinear).

> # OPENGL FUNCTIONALITY REQUIREMENTS

> OpenGL 1.0

> # DIRECT3D FUNCTIONALITY REQUIREMENTS

> Not applicable.

> # SEE ALSO

> TexGenREnable, TexGenREyePlane, TexGenRObjectPlane, TexGenQMode, TexGenSMode, TexGenTMode